from flask import Flask, redirect, url_for, session, request
from pages.login import login_blueprint
from pages.home import home_blueprint
from pages.chairman import chairman_blueprint




app = Flask(__name__)
app.secret_key = "your_secret_key"

# Register blueprints
app.register_blueprint(login_blueprint)
app.register_blueprint(home_blueprint)
app.register_blueprint(chairman_blueprint)





# Define public routes that don't require login
PUBLIC_ROUTES = ["/", "/login", "/logout"]

@app.before_request
def check_login():
    # Allow access to public routes without session validation
    if request.path not in PUBLIC_ROUTES and 'user' not in session:
        return redirect(url_for("login.home"))  # Redirect to login if not logged in

if __name__ == "__main__":
    app.run()
